import { Controller, Get, Post, Put } from '@nestjs/common';
import { ApiTags } from '@nestjs/swagger';
import { PrestamoService } from './prestamo.service';

@Controller('prestamo')
@ApiTags('prestamo')
export class PrestamoController {
  constructor(private prestamoService: PrestamoService) {}

  @Get('activos')
  activos() {}

  @Put('cancelar-operador')
  cancelarOperador() {}

  @Put('cancelar-usuario')
  cancelarUsuario() {}

  @Put('entregar')
  entregar() {}

  @Get('historial')
  historial() {}

  @Get('historial-equipo')
  historialEquipo() {}

  @Get('historial-usuario')
  historialUsuario() {}

  @Post()
  pedir() {}

  @Get('prestamo-id-prestamo')
  prestamoIdPrestamo() {}

  @Get('prestamo-id-usuario')
  prestamoIdUsuario() {}

  @Get('prestamo-numero-inventario')
  prestamoNumeroInventario() {}

  @Put('regresar')
  regresar() {}

  // @Get('reporte')
  // reporte() {}
}
